<?php
if (!defined('VALID_ROOT')) exit('');
/**
 * German GDPR Strings
 *
 * @author George Lewe <george@lewe.com>
 * @copyright Copyright (c) 2014-2022 by George Lewe
 * @link https://www.lewe.com
 *
 * @package TeamCal Neo Basic
 * @subpackage Languages
 * @since 2.3.0
 */
$LANG['gdpr_start'] = '<h4>1. Einleitung</h4>
<p>Wir freuen uns sehr &uuml;ber Ihr Interesse an unserem Unternehmen. Datenschutz hat einen besonders hohen Stellenwert f&uuml;r die Gesch&auml;ftsleitung der %ENTITY%. Eine Nutzung der Internetseiten der %ENTITY% ist grunds&auml;tzlich ohne jede Angabe personenbezogener Daten m&ouml;glich. Sofern eine betroffene Person besondere Services unseres Unternehmens &uuml;ber unsere Internetseite in Anspruch nehmen m&ouml;chte, k&ouml;nnte jedoch eine Verarbeitung personenbezogener Daten erforderlich werden. Ist die Verarbeitung personenbezogener Daten erforderlich und besteht f&uuml;r eine solche Verarbeitung keine gesetzliche Grundlage, holen wir generell eine Einwilligung der betroffenen Person ein.</p>
<p>Die Verarbeitung personenbezogener Daten, beispielsweise des Namens, der Anschrift, E-Mail-Adresse oder Telefonnummer einer betroffenen Person, erfolgt stets im Einklang mit der Datenschutz-Grundverordnung und in &uuml;bereinstimmung mit den f&uuml;r die %ENTITY% geltenden landesspezifischen Datenschutzbestimmungen. Mittels dieser Datenschutzerkl&auml;rung m&ouml;chte unser Unternehmen die &ouml;ffentlichkeit &uuml;ber Art, Umfang und Zweck der von uns erhobenen, genutzten und verarbeiteten personenbezogenen Daten informieren. Ferner werden betroffene Personen mittels dieser Datenschutzerkl&auml;rung &uuml;ber die ihnen zustehenden Rechte aufgekl&auml;rt.</p>
<p>Die %ENTITY% hat als f&uuml;r die Verarbeitung Verantwortlicher zahlreiche technische und organisatorische Ma&szlig;nahmen umgesetzt, um einen m&ouml;glichst l&uuml;ckenlosen Schutz der &uuml;ber diese Internetseite verarbeiteten personenbezogenen Daten sicherzustellen. Dennoch k&ouml;nnen Internetbasierte Daten&uuml;bertragungen grunds&auml;tzlich Sicherheitsl&uuml;cken aufweisen, sodass ein absoluter Schutz nicht gew&auml;hrleistet werden kann. Aus diesem Grund steht es jeder betroffenen Person frei, personenbezogene Daten auch auf alternativen Wegen, beispielsweise telefonisch, an uns zu &uuml;bermitteln.</p>

<h4>2. Begriffsbestimmungen</h4>
<p>Die Datenschutzerkl&auml;rung der %ENTITY% beruht auf den Begrifflichkeiten, die durch den Europ&auml;ischen Richtlinien- und Verordnungsgeber beim Erlass der Datenschutz-Grundverordnung (DS-GVO) verwendet wurden. Unsere Datenschutzerkl&auml;rung soll sowohl f&uuml;r die &ouml;ffentlichkeit als auch f&uuml;r unsere Kunden und Gesch&auml;ftspartner einfach lesbar und verst&auml;ndlich sein. Um dies zu gew&auml;hrleisten, m&ouml;chten wir vorab die verwendeten Begrifflichkeiten erl&auml;utern.</p>
<p>Wir verwenden in dieser Datenschutzerkl&auml;rung unter anderem die folgenden Begriffe:</p>
<ul style="list-style: none">
   <li><h5>a) personenbezogene Daten</h5>
   <p>Personenbezogene Daten sind alle Informationen, die sich auf eine identifizierte oder identifizierbare nat&uuml;rliche Person (im Folgenden „betroffene Person“) beziehen. Als identifizierbar wird eine nat&uuml;rliche Person angesehen, die direkt oder indirekt, insbesondere mittels Zuordnung zu einer Kennung wie einem Namen, zu einer Kennnummer, zu Standortdaten, zu einer Online-Kennung oder zu einem oder mehreren besonderen Merkmalen, die Ausdruck der physischen, physiologischen, genetischen, psychischen, wirtschaftlichen, kulturellen oder sozialen Identit&auml;t dieser nat&uuml;rlichen Person sind, identifiziert werden kann.</p>
   </li>
   <li><h5>b) betroffene Person</h5>
   <p>Betroffene Person ist jede identifizierte oder identifizierbare nat&uuml;rliche Person, deren personenbezogene Daten von dem f&uuml;r die Verarbeitung Verantwortlichen verarbeitet werden.</p>
   </li>
   <li><h5>c) Verarbeitung</h5>
   <p>Verarbeitung ist jeder mit oder ohne Hilfe automatisierter Verfahren ausgef&uuml;hrte Vorgang oder jede solche Vorgangsreihe im Zusammenhang mit personenbezogenen Daten wie das Erheben, das Erfassen, die Organisation, das Ordnen, die Speicherung, die Anpassung oder Ver&auml;nderung, das Auslesen, das Abfragen, die Verwendung, die Offenlegung durch &uuml;bermittlung, Verbreitung oder eine andere Form der Bereitstellung, den Abgleich oder die Verkn&uuml;pfung, die Einschr&auml;nkung, das L&ouml;schen oder die Vernichtung.</p>
   </li>
   <li><h5>d) Einschr&auml;nkung der Verarbeitung</h5>
   <p>Einschr&auml;nkung der Verarbeitung ist die Markierung gespeicherter personenbezogener Daten mit dem Ziel, ihre k&uuml;nftige Verarbeitung einzuschr&auml;nken.</p>
   </li>
   <li><h5>e) Profiling</h5>
   <p>Profiling ist jede Art der automatisierten Verarbeitung personenbezogener Daten, die darin besteht, dass diese personenbezogenen Daten verwendet werden, um bestimmte pers&ouml;nliche Aspekte, die sich auf eine nat&uuml;rliche Person beziehen, zu bewerten, insbesondere, um Aspekte bez&uuml;glich Arbeitsleistung, wirtschaftlicher Lage, Gesundheit, pers&ouml;nlicher Vorlieben, Interessen, Zuverl&auml;ssigkeit, Verhalten, Aufenthaltsort oder Ortswechsel dieser nat&uuml;rlichen Person zu analysieren oder vorherzusagen.</p>
   </li>
   <li><h5>f) Pseudonymisierung</h5>
   <p>Pseudonymisierung ist die Verarbeitung personenbezogener Daten in einer Weise, auf welche die personenbezogenen Daten ohne Hinzuziehung zus&auml;tzlicher Informationen nicht mehr einer spezifischen betroffenen Person zugeordnet werden k&ouml;nnen, sofern diese zus&auml;tzlichen Informationen gesondert aufbewahrt werden und technischen und organisatorischen Ma&szlig;nahmen unterliegen, die gew&auml;hrleisten, dass die personenbezogenen Daten nicht einer identifizierten oder identifizierbaren nat&uuml;rlichen Person zugewiesen werden.</p>
   </li>
   <li><h5>g) Verantwortlicher oder f&uuml;r die Verarbeitung Verantwortlicher</h5>
   <p>Verantwortlicher oder f&uuml;r die Verarbeitung Verantwortlicher ist die nat&uuml;rliche oder juristische Person, Beh&ouml;rde, Einrichtung oder andere Stelle, die allein oder gemeinsam mit anderen &uuml;ber die Zwecke und Mittel der Verarbeitung von personenbezogenen Daten entscheidet. Sind die Zwecke und Mittel dieser Verarbeitung durch das Unionsrecht oder das Recht der Mitgliedstaaten vorgegeben, so kann der Verantwortliche beziehungsweise k&ouml;nnen die bestimmten Kriterien seiner Benennung nach dem Unionsrecht oder dem Recht der Mitgliedstaaten vorgesehen werden.</p>
   </li>
   <li><h5>h) Auftragsverarbeiter</h5>
   <p>Auftragsverarbeiter ist eine nat&uuml;rliche oder juristische Person, Beh&ouml;rde, Einrichtung oder andere Stelle, die personenbezogene Daten im Auftrag des Verantwortlichen verarbeitet.</p>
   </li>
   <li><h5>i) Empf&auml;nger</h5>
   <p>Empf&auml;nger ist eine nat&uuml;rliche oder juristische Person, Beh&ouml;rde, Einrichtung oder andere Stelle, der personenbezogene Daten offengelegt werden, unabh&auml;ngig davon, ob es sich bei ihr um einen Dritten handelt oder nicht. Beh&ouml;rden, die im Rahmen eines bestimmten Untersuchungsauftrags nach dem Unionsrecht oder dem Recht der Mitgliedstaaten m&ouml;glicherweise personenbezogene Daten erhalten, gelten jedoch nicht als Empf&auml;nger.</p>
   </li>
   <li><h5>j) Dritter</h5>
   <p>Dritter ist eine nat&uuml;rliche oder juristische Person, Beh&ouml;rde, Einrichtung oder andere Stelle au&szlig;er der betroffenen Person, dem Verantwortlichen, dem Auftragsverarbeiter und den Personen, die unter der unmittelbaren Verantwortung des Verantwortlichen oder des Auftragsverarbeiters befugt sind, die personenbezogenen Daten zu verarbeiten.</p>
   </li>
   <li><h5>k) Einwilligung</h5>
   <p>Einwilligung ist jede von der betroffenen Person freiwillig f&uuml;r den bestimmten Fall in informierter Weise und unmissverst&auml;ndlich abgegebene Willensbekundung in Form einer Erkl&auml;rung oder einer sonstigen eindeutigen best&auml;tigenden Handlung, mit der die betroffene Person zu verstehen gibt, dass sie mit der Verarbeitung der sie betreffenden personenbezogenen Daten einverstanden ist.</p>
   </li>
</ul>

<h4>3. Name und Anschrift des f&uuml;r die Verarbeitung Verantwortlichen</h4>
<p>Verantwortlicher im Sinne der Datenschutz-Grundverordnung, sonstiger in den Mitgliedstaaten der Europ&auml;ischen Union geltenden Datenschutzgesetze und anderer Bestimmungen mit datenschutzrechtlichem Charakter ist die:</p>
<p><i>%CONTROLLER%</i></p>

<h4>4. Name und Anschrift des Datenschutzbeauftragten</h4>
<p>Der Datenschutzbeauftragte des f&uuml;r die Verarbeitung Verantwortlichen ist:</p>
<p><i>%DATAPROTECTIONOFFICER%</i></p>
<p>Jede betroffene Person kann sich jederzeit bei allen Fragen und Anregungen zum Datenschutz direkt an unseren Datenschutzbeauftragten wenden.</p>

<h4>5. Cookies</h4>
<p>Die Internetseiten der %ENTITY% verwenden Cookies. Cookies sind Textdateien, welche &uuml;ber einen Internetbrowser auf einem Computersystem abgelegt und gespeichert werden.</p>
<p>Zahlreiche Internetseiten und Server verwenden Cookies. Viele Cookies enthalten eine sogenannte Cookie-ID. Eine Cookie-ID ist eine eindeutige Kennung des Cookies. Sie besteht aus einer Zeichenfolge, durch welche Internetseiten und Server dem konkreten Internetbrowser zugeordnet werden k&ouml;nnen, in dem das Cookie gespeichert wurde. Dies erm&ouml;glicht es den besuchten Internetseiten und Servern, den individuellen Browser der betroffenen Person von anderen Internetbrowsern, die andere Cookies enthalten, zu unterscheiden. Ein bestimmter Internetbrowser kann &uuml;ber die eindeutige Cookie-ID wiedererkannt und identifiziert werden.</p>
<p>Durch den Einsatz von Cookies kann die %ENTITY% den Nutzern dieser Internetseite nutzerfreundlichere Services bereitstellen, die ohne die Cookie-Setzung nicht m&ouml;glich w&auml;ren.</p>
<p>Mittels eines Cookies k&ouml;nnen die Informationen und Angebote auf unserer Internetseite im Sinne des Benutzers optimiert werden. Cookies erm&ouml;glichen uns, wie bereits erw&auml;hnt, die Benutzer unserer Internetseite wiederzuerkennen. Zweck dieser Wiedererkennung ist es, den Nutzern die Verwendung unserer Internetseite zu erleichtern. Der Benutzer einer Internetseite, die Cookies verwendet, muss beispielsweise nicht bei jedem Besuch der Internetseite erneut seine Zugangsdaten eingeben, weil dies von der Internetseite und dem auf dem Computersystem des Benutzers abgelegten Cookie &uuml;bernommen wird. Ein weiteres Beispiel ist das Cookie eines Warenkorbes im Online-Shop. Der Online-Shop merkt sich die Artikel, die ein Kunde in den virtuellen Warenkorb gelegt hat, &uuml;ber ein Cookie.</p>
<p>Die betroffene Person kann die Setzung von Cookies durch unsere Internetseite jederzeit mittels einer entsprechenden Einstellung des genutzten Internetbrowsers verhindern und damit der Setzung von Cookies dauerhaft widersprechen. Ferner k&ouml;nnen bereits gesetzte Cookies jederzeit &uuml;ber einen Internetbrowser oder andere Softwareprogramme gel&ouml;scht werden. Dies ist in allen g&auml;ngigen Internetbrowsern m&ouml;glich. Deaktiviert die betroffene Person die Setzung von Cookies in dem genutzten Internetbrowser, sind unter Umst&auml;nden nicht alle Funktionen unserer Internetseite vollumf&auml;nglich nutzbar.</p>

<h4>6. Erfassung von allgemeinen Daten und Informationen</h4>
<p>Die Internetseite der %ENTITY% erfasst mit jedem Aufruf der Internetseite durch eine betroffene Person oder ein automatisiertes System eine Reihe von allgemeinen Daten und Informationen. Diese allgemeinen Daten und Informationen werden in den Logfiles des Servers gespeichert. Erfasst werden k&ouml;nnen die (1) verwendeten Browsertypen und Versionen, (2) das vom zugreifenden System verwendete Betriebssystem, (3) die Internetseite, von welcher ein zugreifendes System auf unsere Internetseite gelangt (sogenannte Referrer), (4) die Unterwebseiten, welche &uuml;ber ein zugreifendes System auf unserer Internetseite angesteuert werden, (5) das Datum und die Uhrzeit eines Zugriffs auf die Internetseite, (6) eine Internet-Protokoll-Adresse (IP-Adresse), (7) der Internet-Service-Provider des zugreifenden Systems und (8) sonstige &auml;hnliche Daten und Informationen, die der Gefahrenabwehr im Falle von Angriffen auf unsere informationstechnologischen Systeme dienen.</p>
<p>Bei der Nutzung dieser allgemeinen Daten und Informationen zieht die %ENTITY% keine R&uuml;ckschl&uuml;sse auf die betroffene Person. Diese Informationen werden vielmehr ben&ouml;tigt, um (1) die Inhalte unserer Internetseite korrekt auszuliefern, (2) die Inhalte unserer Internetseite sowie die Werbung f&uuml;r diese zu optimieren, (3) die dauerhafte Funktionsf&auml;higkeit unserer informationstechnologischen Systeme und der Technik unserer Internetseite zu gew&auml;hrleisten sowie (4) um Strafverfolgungsbeh&ouml;rden im Falle eines Cyberangriffes die zur Strafverfolgung notwendigen Informationen bereitzustellen. Diese anonym erhobenen Daten und Informationen werden durch die %ENTITY% daher einerseits statistisch und ferner mit dem Ziel ausgewertet, den Datenschutz und die Datensicherheit in unserem Unternehmen zu erh&ouml;hen, um letztlich ein optimales Schutzniveau f&uuml;r die von uns verarbeiteten personenbezogenen Daten sicherzustellen. Die anonymen Daten der Server-Logfiles werden getrennt von allen durch eine betroffene Person angegebenen personenbezogenen Daten gespeichert.</p>

<h4>7. Registrierung auf unserer Internetseite</h4>
<p>Die betroffene Person hat die M&ouml;glichkeit, sich auf der Internetseite des f&uuml;r die Verarbeitung Verantwortlichen unter Angabe von personenbezogenen Daten zu registrieren. Welche personenbezogenen Daten dabei an den f&uuml;r die Verarbeitung Verantwortlichen &uuml;bermittelt werden, ergibt sich aus der jeweiligen Eingabemaske, die f&uuml;r die Registrierung verwendet wird. Die von der betroffenen Person eingegebenen personenbezogenen Daten werden ausschlie&szlig;lich f&uuml;r die interne Verwendung bei dem f&uuml;r die Verarbeitung Verantwortlichen und f&uuml;r eigene Zwecke erhoben und gespeichert. Der f&uuml;r die Verarbeitung Verantwortliche kann die Weitergabe an einen oder mehrere Auftragsverarbeiter, beispielsweise einen Paketdienstleister, veranlassen, der die personenbezogenen Daten ebenfalls ausschlie&szlig;lich f&uuml;r eine interne Verwendung, die dem f&uuml;r die Verarbeitung Verantwortlichen zuzurechnen ist, nutzt.</p>
<p>Durch eine Registrierung auf der Internetseite des f&uuml;r die Verarbeitung Verantwortlichen wird ferner die vom Internet-Service-Provider (ISP) der betroffenen Person vergebene IP-Adresse, das Datum sowie die Uhrzeit der Registrierung gespeichert. Die Speicherung dieser Daten erfolgt vor dem Hintergrund, dass nur so der Missbrauch unserer Dienste verhindert werden kann, und diese Daten im Bedarfsfall erm&ouml;glichen, begangene Straftaten aufzukl&auml;ren. Insofern ist die Speicherung dieser Daten zur Absicherung des f&uuml;r die Verarbeitung Verantwortlichen erforderlich. Eine Weitergabe dieser Daten an Dritte erfolgt grunds&auml;tzlich nicht, sofern keine gesetzliche Pflicht zur Weitergabe besteht oder die Weitergabe der Strafverfolgung dient.</p>
<p>Die Registrierung der betroffenen Person unter freiwilliger Angabe personenbezogener Daten dient dem f&uuml;r die Verarbeitung Verantwortlichen dazu, der betroffenen Person Inhalte oder Leistungen anzubieten, die aufgrund der Natur der Sache nur registrierten Benutzern angeboten werden k&ouml;nnen. Registrierten Personen steht die M&ouml;glichkeit frei, die bei der Registrierung angegebenen personenbezogenen Daten jederzeit abzu&auml;ndern oder vollst&auml;ndig aus dem Datenbestand des f&uuml;r die Verarbeitung Verantwortlichen l&ouml;schen zu lassen.</p>
<p>Der f&uuml;r die Verarbeitung Verantwortliche erteilt jeder betroffenen Person jederzeit auf Anfrage Auskunft dar&uuml;ber, welche personenbezogenen Daten &uuml;ber die betroffene Person gespeichert sind. Ferner berichtigt oder l&ouml;scht der f&uuml;r die Verarbeitung Verantwortliche personenbezogene Daten auf Wunsch oder Hinweis der betroffenen Person, soweit dem keine gesetzlichen Aufbewahrungspflichten entgegenstehen. Die Gesamtheit der Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen stehen der betroffenen Person in diesem Zusammenhang als Ansprechpartner zur Verf&uuml;gung.</p>

<h4>8. Kontaktm&ouml;glichkeit &uuml;ber die Internetseite</h4>
<p>Die Internetseite der %ENTITY% enth&auml;lt aufgrund von gesetzlichen Vorschriften Angaben, die eine schnelle elektronische Kontaktaufnahme zu unserem Unternehmen sowie eine unmittelbare Kommunikation mit uns erm&ouml;glichen, was ebenfalls eine allgemeine Adresse der sogenannten elektronischen Post (E-Mail-Adresse) umfasst. Sofern eine betroffene Person per E-Mail oder &uuml;ber ein Kontaktformular den Kontakt mit dem f&uuml;r die Verarbeitung Verantwortlichen aufnimmt, werden die von der betroffenen Person &uuml;bermittelten personenbezogenen Daten automatisch gespeichert. Solche auf freiwilliger Basis von einer betroffenen Person an den f&uuml;r die Verarbeitung Verantwortlichen &uuml;bermittelten personenbezogenen Daten werden f&uuml;r Zwecke der Bearbeitung oder der Kontaktaufnahme zur betroffenen Person gespeichert. Es erfolgt keine Weitergabe dieser personenbezogenen Daten an Dritte.</p>

<h4>9. Routinem&auml;&szlig;ige L&ouml;schung und Sperrung von personenbezogenen Daten</h4>
<p>Der f&uuml;r die Verarbeitung Verantwortliche verarbeitet und speichert personenbezogene Daten der betroffenen Person nur f&uuml;r den Zeitraum, der zur Erreichung des Speicherungszwecks erforderlich ist oder sofern dies durch den Europ&auml;ischen Richtlinien- und Verordnungsgeber oder einen anderen Gesetzgeber in Gesetzen oder Vorschriften, welchen der f&uuml;r die Verarbeitung Verantwortliche unterliegt, vorgesehen wurde.</p>
<p>Entf&auml;llt der Speicherungszweck oder l&auml;uft eine vom Europ&auml;ischen Richtlinien- und Verordnungsgeber oder einem anderen zust&auml;ndigen Gesetzgeber vorgeschriebene Speicherfrist ab, werden die personenbezogenen Daten routinem&auml;&szlig;ig und entsprechend den gesetzlichen Vorschriften gesperrt oder gel&ouml;scht.</p>

<h4>10. Rechte der betroffenen Person</h4>
   <ul style="list-style: none;">
   <li><h5>a) Recht auf Best&auml;tigung</h5>
   <p>Jede betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber einger&auml;umte Recht, von dem f&uuml;r die Verarbeitung Verantwortlichen eine Best&auml;tigung dar&uuml;ber zu verlangen, ob sie betreffende personenbezogene Daten verarbeitet werden. M&ouml;chte eine betroffene Person dieses Best&auml;tigungsrecht in Anspruch nehmen, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden.</p>
   </li>
   <li><h5>b) Recht auf Auskunft</h5>
   <p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, jederzeit von dem f&uuml;r die Verarbeitung Verantwortlichen unentgeltliche Auskunft &uuml;ber die zu seiner Person gespeicherten personenbezogenen Daten und eine Kopie dieser Auskunft zu erhalten. Ferner hat der Europ&auml;ische Richtlinien- und Verordnungsgeber der betroffenen Person Auskunft &uuml;ber folgende Informationen zugestanden:</p>
   <ul>
      <li>die Verarbeitungszwecke</li>
      <li>die Kategorien personenbezogener Daten, die verarbeitet werden</li>
      <li>die Empf&auml;nger oder Kategorien von Empf&auml;ngern, gegen&uuml;ber denen die personenbezogenen Daten offengelegt worden sind oder noch offengelegt werden, insbesondere bei Empf&auml;ngern in Drittl&auml;ndern oder bei internationalen Organisationen</li>
      <li>falls m&ouml;glich die geplante Dauer, f&uuml;r die die personenbezogenen Daten gespeichert werden, oder, falls dies nicht m&ouml;glich ist, die Kriterien f&uuml;r die Festlegung dieser Dauer</li>
      <li>das Bestehen eines Rechts auf Berichtigung oder L&ouml;schung der sie betreffenden personenbezogenen Daten oder auf Einschr&auml;nkung der Verarbeitung durch den Verantwortlichen oder eines Widerspruchsrechts gegen diese Verarbeitung</li>
      <li>das Bestehen eines Beschwerderechts bei einer Aufsichtsbeh&ouml;rde</li>
      <li>wenn die personenbezogenen Daten nicht bei der betroffenen Person erhoben werden: Alle verf&uuml;gbaren Informationen &uuml;ber die Herkunft der Daten</li>
      <li>das Bestehen einer automatisierten Entscheidungsfindung einschlie&szlig;lich Profiling gem&auml;&szlig; Artikel 22 Abs.1 und 4 DS-GVO und — zumindest in diesen F&auml;llen — aussagekr&auml;ftige Informationen &uuml;ber die involvierte Logik sowie die Tragweite und die angestrebten Auswirkungen einer derartigen Verarbeitung f&uuml;r die betroffene Person</li>
   </ul>
   <p>Ferner steht der betroffenen Person ein Auskunftsrecht dar&uuml;ber zu, ob personenbezogene Daten an ein Drittland oder an eine internationale Organisation &uuml;bermittelt wurden. Sofern dies der Fall ist, so steht der betroffenen Person im &uuml;brigen das Recht zu, Auskunft &uuml;ber die geeigneten Garantien im Zusammenhang mit der &uuml;bermittlung zu erhalten.</p>
   <p>M&ouml;chte eine betroffene Person dieses Auskunftsrecht in Anspruch nehmen, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden.</p>
   </li>
   <li><h5>c) Recht auf Berichtigung</h5>
   <p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, die unverz&uuml;gliche Berichtigung sie betreffender unrichtiger personenbezogener Daten zu verlangen. Ferner steht der betroffenen Person das Recht zu, unter Ber&uuml;cksichtigung der Zwecke der Verarbeitung, die Vervollst&auml;ndigung unvollst&auml;ndiger personenbezogener Daten — auch mittels einer erg&auml;nzenden Erkl&auml;rung — zu verlangen.</p>
   <p>M&ouml;chte eine betroffene Person dieses Berichtigungsrecht in Anspruch nehmen, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden.</p></li>
   <li><h5>d) Recht auf L&ouml;schung (Recht auf Vergessen werden)</h5>
   <p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, von dem Verantwortlichen zu verlangen, dass die sie betreffenden personenbezogenen Daten unverz&uuml;glich gel&ouml;scht werden, sofern einer der folgenden Gr&uuml;nde zutrifft und soweit die Verarbeitung nicht erforderlich ist:</p>
   <ul>
      <li>Die personenbezogenen Daten wurden f&uuml;r solche Zwecke erhoben oder auf sonstige Weise verarbeitet, f&uuml;r welche sie nicht mehr notwendig sind.</li>
      <li>Die betroffene Person widerruft ihre Einwilligung, auf die sich die Verarbeitung gem&auml;&szlig; Art. 6 Abs. 1 Buchstabe a DS-GVO oder Art. 9 Abs. 2 Buchstabe a DS-GVO st&uuml;tzte, und es fehlt an einer anderweitigen Rechtsgrundlage f&uuml;r die Verarbeitung.</li>
      <li>Die betroffene Person legt gem&auml;&szlig; Art. 21 Abs. 1 DS-GVO Widerspruch gegen die Verarbeitung ein, und es liegen keine vorrangigen berechtigten Gr&uuml;nde f&uuml;r die Verarbeitung vor, oder die betroffene Person legt gem&auml;&szlig; Art. 21 Abs. 2 DS-GVO Widerspruch gegen die Verarbeitung ein.</li>
      <li>Die personenbezogenen Daten wurden unrechtm&auml;&szlig;ig verarbeitet.</li>
      <li>Die L&ouml;schung der personenbezogenen Daten ist zur Erf&uuml;llung einer rechtlichen Verpflichtung nach dem Unionsrecht oder dem Recht der Mitgliedstaaten erforderlich, dem der Verantwortliche unterliegt.</li>
      <li>Die personenbezogenen Daten wurden in Bezug auf angebotene Dienste der Informationsgesellschaft gem&auml;&szlig; Art. 8 Abs. 1 DS-GVO erhoben.</li>
   </ul>
   <p>Sofern einer der oben genannten Gr&uuml;nde zutrifft und eine betroffene Person die L&ouml;schung von personenbezogenen Daten, die bei der %ENTITY% gespeichert sind, veranlassen m&ouml;chte, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden. Der Mitarbeiter der %ENTITY% wird veranlassen, dass dem L&ouml;schverlangen unverz&uuml;glich nachgekommen wird.</p>
   <p>Wurden die personenbezogenen Daten von der %ENTITY% &ouml;ffentlich gemacht und ist unser Unternehmen als Verantwortlicher gem&auml;&szlig; Art. 17 Abs. 1 DS-GVO zur L&ouml;schung der personenbezogenen Daten verpflichtet, so trifft die %ENTITY% unter Ber&uuml;cksichtigung der verf&uuml;gbaren Technologie und der Implementierungskosten angemessene Ma&szlig;nahmen, auch technischer Art, um andere f&uuml;r die Datenverarbeitung Verantwortliche, welche die ver&ouml;ffentlichten personenbezogenen Daten verarbeiten, dar&uuml;ber in Kenntnis zu setzen, dass die betroffene Person von diesen anderen f&uuml;r die Datenverarbeitung Verantwortlichen die L&ouml;schung s&auml;mtlicher Links zu diesen personenbezogenen Daten oder von Kopien oder Replikationen dieser personenbezogenen Daten verlangt hat, soweit die Verarbeitung nicht erforderlich ist. Der Mitarbeiter der %ENTITY% wird im Einzelfall das Notwendige veranlassen.</p>
   </li>
   <li><h5>e) Recht auf Einschr&auml;nkung der Verarbeitung</h5>
   <p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, von dem Verantwortlichen die Einschr&auml;nkung der Verarbeitung zu verlangen, wenn eine der folgenden Voraussetzungen gegeben ist:</p>
   <ul>
      <li>Die Richtigkeit der personenbezogenen Daten wird von der betroffenen Person bestritten, und zwar f&uuml;r eine Dauer, die es dem Verantwortlichen erm&ouml;glicht, die Richtigkeit der personenbezogenen Daten zu &uuml;berpr&uuml;fen.</li>
      <li>Die Verarbeitung ist unrechtm&auml;&szlig;ig, die betroffene Person lehnt die L&ouml;schung der personenbezogenen Daten ab und verlangt stattdessen die Einschr&auml;nkung der Nutzung der personenbezogenen Daten.</li>
      <li>Der Verantwortliche ben&ouml;tigt die personenbezogenen Daten f&uuml;r die Zwecke der Verarbeitung nicht l&auml;nger, die betroffene Person ben&ouml;tigt sie jedoch zur Geltendmachung, Aus&uuml;bung oder Verteidigung von Rechtsanspr&uuml;chen.</li>
      <li>Die betroffene Person hat Widerspruch gegen die Verarbeitung gem. Art. 21 Abs. 1 DS-GVO eingelegt und es steht noch nicht fest, ob die berechtigten Gr&uuml;nde des Verantwortlichen gegen&uuml;ber denen der betroffenen Person &uuml;berwiegen.</li>
   </ul>
   <p>Sofern eine der oben genannten Voraussetzungen gegeben ist und eine betroffene Person die Einschr&auml;nkung von personenbezogenen Daten, die bei der %ENTITY% gespeichert sind, verlangen m&ouml;chte, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden. Der Mitarbeiter der %ENTITY% wird die Einschr&auml;nkung der Verarbeitung veranlassen.</p>
   </li>
   <li><h5>f) Recht auf Daten&uuml;bertragbarkeit</h5>
   <p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, die sie betreffenden personenbezogenen Daten, welche durch die betroffene Person einem Verantwortlichen bereitgestellt wurden, in einem strukturierten, g&auml;ngigen und maschinenlesbaren Format zu erhalten. Sie hat au&szlig;erdem das Recht, diese Daten einem anderen Verantwortlichen ohne Behinderung durch den Verantwortlichen, dem die personenbezogenen Daten bereitgestellt wurden, zu &uuml;bermitteln, sofern die Verarbeitung auf der Einwilligung gem&auml;&szlig; Art. 6 Abs. 1 Buchstabe a DS-GVO oder Art. 9 Abs. 2 Buchstabe a DS-GVO oder auf einem Vertrag gem&auml;&szlig; Art. 6 Abs. 1 Buchstabe b DS-GVO beruht und die Verarbeitung mithilfe automatisierter Verfahren erfolgt, sofern die Verarbeitung nicht f&uuml;r die Wahrnehmung einer Aufgabe erforderlich ist, die im &ouml;ffentlichen Interesse liegt oder in Aus&uuml;bung &ouml;ffentlicher Gewalt erfolgt, welche dem Verantwortlichen &uuml;bertragen wurde.</p>
   <p>Ferner hat die betroffene Person bei der Aus&uuml;bung ihres Rechts auf Daten&uuml;bertragbarkeit gem&auml;&szlig; Art. 20 Abs. 1 DS-GVO das Recht, zu erwirken, dass die personenbezogenen Daten direkt von einem Verantwortlichen an einen anderen Verantwortlichen &uuml;bermittelt werden, soweit dies technisch machbar ist und sofern hiervon nicht die Rechte und Freiheiten anderer Personen beeintr&auml;chtigt werden.</p>
   <p>Zur Geltendmachung des Rechts auf Daten&uuml;bertragbarkeit kann sich die betroffene Person jederzeit an einen Mitarbeiter der %ENTITY% wenden.</p>
   </li>
   <li><h5>g) Recht auf Widerspruch</h5>
   <p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, aus Gr&uuml;nden, die sich aus ihrer besonderen Situation ergeben, jederzeit gegen die Verarbeitung sie betreffender personenbezogener Daten, die aufgrund von Art. 6 Abs. 1 Buchstaben e oder f DS-GVO erfolgt, Widerspruch einzulegen. Dies gilt auch f&uuml;r ein auf diese Bestimmungen gest&uuml;tztes Profiling.</p>
   <p>Die %ENTITY% verarbeitet die personenbezogenen Daten im Falle des Widerspruchs nicht mehr, es sei denn, wir k&ouml;nnen zwingende schutzw&uuml;rdige Gr&uuml;nde f&uuml;r die Verarbeitung nachweisen, die den Interessen, Rechten und Freiheiten der betroffenen Person &uuml;berwiegen, oder die Verarbeitung dient der Geltendmachung, Aus&uuml;bung oder Verteidigung von Rechtsanspr&uuml;chen.</p>
   <p>Verarbeitet die %ENTITY% personenbezogene Daten, um Direktwerbung zu betreiben, so hat die betroffene Person das Recht, jederzeit Widerspruch gegen die Verarbeitung der personenbezogenen Daten zum Zwecke derartiger Werbung einzulegen. Dies gilt auch f&uuml;r das Profiling, soweit es mit solcher Direktwerbung in Verbindung steht. Widerspricht die betroffene Person gegen&uuml;ber der %ENTITY% der Verarbeitung f&uuml;r Zwecke der Direktwerbung, so wird die %ENTITY% die personenbezogenen Daten nicht mehr f&uuml;r diese Zwecke verarbeiten.</p>
   <p>Zudem hat die betroffene Person das Recht, aus Gr&uuml;nden, die sich aus ihrer besonderen Situation ergeben, gegen die sie betreffende Verarbeitung personenbezogener Daten, die bei der %ENTITY% zu wissenschaftlichen oder historischen Forschungszwecken oder zu statistischen Zwecken gem&auml;&szlig; Art. 89 Abs. 1 DS-GVO erfolgen, Widerspruch einzulegen, es sei denn, eine solche Verarbeitung ist zur Erf&uuml;llung einer im &ouml;ffentlichen Interesse liegenden Aufgabe erforderlich.</p>
   <p>Zur Aus&uuml;bung des Rechts auf Widerspruch kann sich die betroffene Person direkt an jeden Mitarbeiter der %ENTITY% oder einen anderen Mitarbeiter wenden. Der betroffenen Person steht es ferner frei, im Zusammenhang mit der Nutzung von Diensten der Informationsgesellschaft, ungeachtet der Richtlinie 2002/58/EG, ihr Widerspruchsrecht mittels automatisierter Verfahren auszu&uuml;ben, bei denen technische Spezifikationen verwendet werden.</p>
   </li>
   <li><h5>h) Automatisierte Entscheidungen im Einzelfall einschlie&szlig;lich Profiling</h5>
   <p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, nicht einer ausschlie&szlig;lich auf einer automatisierten Verarbeitung — einschlie&szlig;lich Profiling — beruhenden Entscheidung unterworfen zu werden, die ihr gegen&uuml;ber rechtliche Wirkung entfaltet oder sie in &auml;hnlicher Weise erheblich beeintr&auml;chtigt, sofern die Entscheidung (1) nicht f&uuml;r den Abschluss oder die Erf&uuml;llung eines Vertrags zwischen der betroffenen Person und dem Verantwortlichen erforderlich ist, oder (2) aufgrund von Rechtsvorschriften der Union oder der Mitgliedstaaten, denen der Verantwortliche unterliegt, zul&auml;ssig ist und diese Rechtsvorschriften angemessene Ma&szlig;nahmen zur Wahrung der Rechte und Freiheiten sowie der berechtigten Interessen der betroffenen Person enthalten oder (3) mit ausdr&uuml;cklicher Einwilligung der betroffenen Person erfolgt.</p>
   <p>Ist die Entscheidung (1) f&uuml;r den Abschluss oder die Erf&uuml;llung eines Vertrags zwischen der betroffenen Person und dem Verantwortlichen erforderlich oder (2) erfolgt sie mit ausdr&uuml;cklicher Einwilligung der betroffenen Person, trifft die %ENTITY% angemessene Ma&szlig;nahmen, um die Rechte und Freiheiten sowie die berechtigten Interessen der betroffenen Person zu wahren, wozu mindestens das Recht auf Erwirkung des Eingreifens einer Person seitens des Verantwortlichen, auf Darlegung des eigenen Standpunkts und auf Anfechtung der Entscheidung geh&ouml;rt.</p>
   <p>M&ouml;chte die betroffene Person Rechte mit Bezug auf automatisierte Entscheidungen geltend machen, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden.</p>
   </li>
   <li><h5>i) Recht auf Widerruf einer datenschutzrechtlichen Einwilligung</h5>
   <p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, eine Einwilligung zur Verarbeitung personenbezogener Daten jederzeit zu widerrufen.</p>
   <p>M&ouml;chte die betroffene Person ihr Recht auf Widerruf einer Einwilligung geltend machen, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden.</p>
   </li>
</ul>';

$LANG['gdpr_facebook'] = '<h4>%d. Datenschutzbestimmungen zu Einsatz und Verwendung von Facebook</h4>
<p>Der f&uuml;r die Verarbeitung Verantwortliche hat auf dieser Internetseite Komponenten des Unternehmens Facebook integriert. Facebook ist ein soziales Netzwerk.</p>
<p>Ein soziales Netzwerk ist ein im Internet betriebener sozialer Treffpunkt, eine Online-Gemeinschaft, die es den Nutzern in der Regel erm&ouml;glicht, untereinander zu kommunizieren und im virtuellen Raum zu interagieren. Ein soziales Netzwerk kann als Plattform zum Austausch von Meinungen und Erfahrungen dienen oder erm&ouml;glicht es der Internetgemeinschaft, pers&ouml;nliche oder unternehmensbezogene Informationen bereitzustellen. Facebook erm&ouml;glicht den Nutzern des sozialen Netzwerkes unter anderem die Erstellung von privaten Profilen, den Upload von Fotos und eine Vernetzung &uuml;ber Freundschaftsanfragen.</p>
<p>Betreibergesellschaft von Facebook ist die Facebook, Inc., 1 Hacker Way, Menlo Park, CA 94025, USA. F&uuml;r die Verarbeitung personenbezogener Daten Verantwortlicher ist, wenn eine betroffene Person au&szlig;erhalb der USA oder Kanada lebt, die Facebook Ireland Ltd., 4 Grand Canal Square, Grand Canal Harbour, Dublin 2, Ireland.</p>
<p>Durch jeden Aufruf einer der Einzelseiten dieser Internetseite, die durch den f&uuml;r die Verarbeitung Verantwortlichen betrieben wird und auf welcher eine Facebook-Komponente (Facebook-Plug-In) integriert wurde, wird der Internetbrowser auf dem informationstechnologischen System der betroffenen Person automatisch durch die jeweilige Facebook-Komponente veranlasst, eine Darstellung der entsprechenden Facebook-Komponente von Facebook herunterzuladen. Eine Gesamt&uuml;bersicht &uuml;ber alle Facebook-Plug-Ins kann unter https://developers.facebook.com/docs/plugins/?locale=de_DE abgerufen werden. Im Rahmen dieses technischen Verfahrens erh&auml;lt Facebook Kenntnis dar&uuml;ber, welche konkrete Unterseite unserer Internetseite durch die betroffene Person besucht wird.</p>
<p>Sofern die betroffene Person gleichzeitig bei Facebook eingeloggt ist, erkennt Facebook mit jedem Aufruf unserer Internetseite durch die betroffene Person und w&auml;hrend der gesamten Dauer des jeweiligen Aufenthaltes auf unserer Internetseite, welche konkrete Unterseite unserer Internetseite die betroffene Person besucht. Diese Informationen werden durch die Facebook-Komponente gesammelt und durch Facebook dem jeweiligen Facebook-Account der betroffenen Person zugeordnet. Bet&auml;tigt die betroffene Person einen der auf unserer Internetseite integrierten Facebook-Buttons, beispielsweise den „Gef&auml;llt mir“-Button, oder gibt die betroffene Person einen Kommentar ab, ordnet Facebook diese Information dem pers&ouml;nlichen Facebook-Benutzerkonto der betroffenen Person zu und speichert diese personenbezogenen Daten.</p>
<p>Facebook erh&auml;lt &uuml;ber die Facebook-Komponente immer dann eine Information dar&uuml;ber, dass die betroffene Person unsere Internetseite besucht hat, wenn die betroffene Person zum Zeitpunkt des Aufrufs unserer Internetseite gleichzeitig bei Facebook eingeloggt ist; dies findet unabh&auml;ngig davon statt, ob die betroffene Person die Facebook-Komponente anklickt oder nicht. Ist eine derartige &uuml;bermittlung dieser Informationen an Facebook von der betroffenen Person nicht gewollt, kann diese die &uuml;bermittlung dadurch verhindern, dass sie sich vor einem Aufruf unserer Internetseite aus ihrem Facebook-Account ausloggt.</p>
<p>Die von Facebook ver&ouml;ffentlichte Datenrichtlinie, die unter https://de-de.facebook.com/about/privacy/ abrufbar ist, gibt Aufschluss &uuml;ber die Erhebung, Verarbeitung und Nutzung personenbezogener Daten durch Facebook. Ferner wird dort erl&auml;utert, welche Einstellungsm&ouml;glichkeiten Facebook zum Schutz der Privatsph&auml;re der betroffenen Person bietet. Zudem sind unterschiedliche Applikationen erh&auml;ltlich, die es erm&ouml;glichen, eine Daten&uuml;bermittlung an Facebook zu unterdr&uuml;cken. Solche Applikationen k&ouml;nnen durch die betroffene Person genutzt werden, um eine Daten&uuml;bermittlung an Facebook zu unterdr&uuml;cken.</p>';

$LANG['gdpr_google_analytics'] = '<h4>%d. Datenschutzbestimmungen zu Einsatz und Verwendung von Google Analytics (mit Anonymisierungsfunktion)</h4>
<p>Der f&uuml;r die Verarbeitung Verantwortliche hat auf dieser Internetseite die Komponente Google Analytics (mit Anonymisierungsfunktion) integriert. Google Analytics ist ein Web-Analyse-Dienst. Web-Analyse ist die Erhebung, Sammlung und Auswertung von Daten &uuml;ber das Verhalten von Besuchern von Internetseiten. Ein Web-Analyse-Dienst erfasst unter anderem Daten dar&uuml;ber, von welcher Internetseite eine betroffene Person auf eine Internetseite gekommen ist (sogenannte Referrer), auf welche Unterseiten der Internetseite zugegriffen oder wie oft und f&uuml;r welche Verweildauer eine Unterseite betrachtet wurde. Eine Web-Analyse wird &uuml;berwiegend zur Optimierung einer Internetseite und zur Kosten-Nutzen-Analyse von Internetwerbung eingesetzt.</p>
<p>Betreibergesellschaft der Google-Analytics-Komponente ist die Google Inc., 1600 Amphitheatre Pkwy, Mountain View, CA 94043-1351, USA.</p>
<p>Der f&uuml;r die Verarbeitung Verantwortliche verwendet f&uuml;r die Web-Analyse &uuml;ber Google Analytics den Zusatz "_gat._anonymizeIp". Mittels dieses Zusatzes wird die IP-Adresse des Internetanschlusses der betroffenen Person von Google gek&uuml;rzt und anonymisiert, wenn der Zugriff auf unsere Internetseiten aus einem Mitgliedstaat der Europ&auml;ischen Union oder aus einem anderen Vertragsstaat des Abkommens &uuml;ber den Europ&auml;ischen Wirtschaftsraum erfolgt.</p>
<p>Der Zweck der Google-Analytics-Komponente ist die Analyse der Besucherstr&ouml;me auf unserer Internetseite. Google nutzt die gewonnenen Daten und Informationen unter anderem dazu, die Nutzung unserer Internetseite auszuwerten, um f&uuml;r uns Online-Reports, welche die Aktivit&auml;ten auf unseren Internetseiten aufzeigen, zusammenzustellen, und um weitere mit der Nutzung unserer Internetseite in Verbindung stehende Dienstleistungen zu erbringen.</p>
<p>Google Analytics setzt ein Cookie auf dem informationstechnologischen System der betroffenen Person. Was Cookies sind, wurde oben bereits erl&auml;utert. Mit Setzung des Cookies wird Google eine Analyse der Benutzung unserer Internetseite erm&ouml;glicht. Durch jeden Aufruf einer der Einzelseiten dieser Internetseite, die durch den f&uuml;r die Verarbeitung Verantwortlichen betrieben wird und auf welcher eine Google-Analytics-Komponente integriert wurde, wird der Internetbrowser auf dem informationstechnologischen System der betroffenen Person automatisch durch die jeweilige Google-Analytics-Komponente veranlasst, Daten zum Zwecke der Online-Analyse an Google zu &uuml;bermitteln. Im Rahmen dieses technischen Verfahrens erh&auml;lt Google Kenntnis &uuml;ber personenbezogene Daten, wie der IP-Adresse der betroffenen Person, die Google unter anderem dazu dienen, die Herkunft der Besucher und Klicks nachzuvollziehen und in der Folge Provisionsabrechnungen zu erm&ouml;glichen.</p>
<p>Mittels des Cookies werden personenbezogene Informationen, beispielsweise die Zugriffszeit, der Ort, von welchem ein Zugriff ausging und die H&auml;ufigkeit der Besuche unserer Internetseite durch die betroffene Person, gespeichert. Bei jedem Besuch unserer Internetseiten werden diese personenbezogenen Daten, einschlie&szlig;lich der IP-Adresse des von der betroffenen Person genutzten Internetanschlusses, an Google in den Vereinigten Staaten von Amerika &uuml;bertragen. Diese personenbezogenen Daten werden durch Google in den Vereinigten Staaten von Amerika gespeichert. Google gibt diese &uuml;ber das technische Verfahren erhobenen personenbezogenen Daten unter Umst&auml;nden an Dritte weiter.</p>
<p>Die betroffene Person kann die Setzung von Cookies durch unsere Internetseite, wie oben bereits dargestellt, jederzeit mittels einer entsprechenden Einstellung des genutzten Internetbrowsers verhindern und damit der Setzung von Cookies dauerhaft widersprechen. Eine solche Einstellung des genutzten Internetbrowsers w&uuml;rde auch verhindern, dass Google ein Cookie auf dem informationstechnologischen System der betroffenen Person setzt. Zudem kann ein von Google Analytics bereits gesetzter Cookie jederzeit &uuml;ber den Internetbrowser oder andere Softwareprogramme gel&ouml;scht werden.</p>
<p>Ferner besteht f&uuml;r die betroffene Person die M&ouml;glichkeit, einer Erfassung der durch Google Analytics erzeugten, auf eine Nutzung dieser Internetseite bezogenen Daten sowie der Verarbeitung dieser Daten durch Google zu widersprechen und eine solche zu verhindern. Hierzu muss die betroffene Person ein Browser-Add-On unter dem Link https://tools.google.com/dlpage/gaoptout herunterladen und installieren. Dieses Browser-Add-On teilt Google Analytics &uuml;ber JavaScript mit, dass keine Daten und Informationen zu den Besuchen von Internetseiten an Google Analytics &uuml;bermittelt werden d&uuml;rfen. Die Installation des Browser-Add-Ons wird von Google als Widerspruch gewertet. Wird das informationstechnologische System der betroffenen Person zu einem sp&auml;teren Zeitpunkt gel&ouml;scht, formatiert oder neu installiert, muss durch die betroffene Person eine erneute Installation des Browser-Add-Ons erfolgen, um Google Analytics zu deaktivieren. Sofern das Browser-Add-On durch die betroffene Person oder einer anderen Person, die ihrem Machtbereich zuzurechnen ist, deinstalliert oder deaktiviert wird, besteht die M&ouml;glichkeit der Neuinstallation oder der erneuten Aktivierung des Browser-Add-Ons.</p>
<p>Weitere Informationen und die geltenden Datenschutzbestimmungen von Google k&ouml;nnen unter https://www.google.de/intl/de/policies/privacy/ und unter http://www.google.com/analytics/terms/de.html abgerufen werden. Google Analytics wird unter diesem Link https://www.google.com/intl/de_de/analytics/ genauer erl&auml;utert.</p>';

$LANG['gdpr_instagram'] = '<h4>%d. Datenschutzbestimmungen zu Einsatz und Verwendung von Instagram</h4>
<p>Der f&uuml;r die Verarbeitung Verantwortliche hat auf dieser Internetseite Komponenten des Dienstes Instagram integriert. Instagram ist ein Dienst, der als audiovisuelle Plattform zu qualifizieren ist und den Nutzern das Teilen von Fotos und Videos und zudem eine Weiterverbreitung solcher Daten in anderen sozialen Netzwerken erm&ouml;glicht.</p>
<p>Betreibergesellschaft der Dienste von Instagram ist die Instagram LLC, 1 Hacker Way, Building 14 First Floor, Menlo Park, CA, USA.</p>
<p>Durch jeden Aufruf einer der Einzelseiten dieser Internetseite, die durch den f&uuml;r die Verarbeitung Verantwortlichen betrieben wird und auf welcher eine Instagram-Komponente (Insta-Button) integriert wurde, wird der Internetbrowser auf dem informationstechnologischen System der betroffenen Person automatisch durch die jeweilige Instagram-Komponente veranlasst, eine Darstellung der entsprechenden Komponente von Instagram herunterzuladen. Im Rahmen dieses technischen Verfahrens erh&auml;lt Instagram Kenntnis dar&uuml;ber, welche konkrete Unterseite unserer Internetseite durch die betroffene Person besucht wird.</p>
<p>Sofern die betroffene Person gleichzeitig bei Instagram eingeloggt ist, erkennt Instagram mit jedem Aufruf unserer Internetseite durch die betroffene Person und w&auml;hrend der gesamten Dauer des jeweiligen Aufenthaltes auf unserer Internetseite, welche konkrete Unterseite die betroffene Person besucht. Diese Informationen werden durch die Instagram-Komponente gesammelt und durch Instagram dem jeweiligen Instagram-Account der betroffenen Person zugeordnet. Bet&auml;tigt die betroffene Person einen der auf unserer Internetseite integrierten Instagram-Buttons, werden die damit &uuml;bertragenen Daten und Informationen dem pers&ouml;nlichen Instagram-Benutzerkonto der betroffenen Person zugeordnet und von Instagram gespeichert und verarbeitet.</p>
<p>Instagram erh&auml;lt &uuml;ber die Instagram-Komponente immer dann eine Information dar&uuml;ber, dass die betroffene Person unsere Internetseite besucht hat, wenn die betroffene Person zum Zeitpunkt des Aufrufs unserer Internetseite gleichzeitig bei Instagram eingeloggt ist; dies findet unabh&auml;ngig davon statt, ob die betroffene Person die Instagram-Komponente anklickt oder nicht. Ist eine derartige &uuml;bermittlung dieser Informationen an Instagram von der betroffenen Person nicht gewollt, kann diese die &uuml;bermittlung dadurch verhindern, dass sie sich vor einem Aufruf unserer Internetseite aus ihrem Instagram-Account ausloggt.</p>
<p>Weitere Informationen und die geltenden Datenschutzbestimmungen von Instagram k&ouml;nnen unter https://help.instagram.com/155833707900388 und https://www.instagram.com/about/legal/privacy/ abgerufen werden.</p>';

$LANG['gdpr_linkedin'] = '<h4>%d. Datenschutzbestimmungen zu Einsatz und Verwendung von LinkedIn</h4>
<p>Der f&uuml;r die Verarbeitung Verantwortliche hat auf dieser Internetseite Komponenten der LinkedIn Corporation integriert. LinkedIn ist ein Internetbasiertes soziales Netzwerk, das eine Konnektierung der Nutzer mit bestehenden Gesch&auml;ftskontakten sowie das Kn&uuml;pfen von neuen Businesskontakten erm&ouml;glicht. &uuml;ber 400 Millionen registrierte Personen nutzen LinkedIn in mehr als 200 L&auml;ndern. Damit ist LinkedIn derzeit die gr&ouml;&szlig;te Plattform f&uuml;r Businesskontakte und eine der meistbesuchten Internetseiten der Welt.</p>
<p>Betreibergesellschaft von LinkedIn ist die LinkedIn Corporation, 2029 Stierlin Court Mountain View, CA 94043, USA. F&uuml;r Datenschutzangelegenheiten au&szlig;erhalb der USA ist LinkedIn Ireland, Privacy Policy Issues, Wilton Plaza, Wilton Place, Dublin 2, Ireland, zust&auml;ndig.</p>
<p>Bei jedem einzelnen Abruf unserer Internetseite, die mit einer LinkedIn-Komponente (LinkedIn-Plug-In) ausgestattet ist, veranlasst diese Komponente, dass der von der betroffenen Person verwendete Browser eine entsprechende Darstellung der Komponente von LinkedIn herunterl&auml;dt. Weitere Informationen zu den LinkedIn-Plug-Ins k&ouml;nnen unter https://developer.linkedin.com/plugins abgerufen werden. Im Rahmen dieses technischen Verfahrens erh&auml;lt LinkedIn Kenntnis dar&uuml;ber, welche konkrete Unterseite unserer Internetseite durch die betroffene Person besucht wird.</p>
<p>Sofern die betroffene Person gleichzeitig bei LinkedIn eingeloggt ist, erkennt LinkedIn mit jedem Aufruf unserer Internetseite durch die betroffene Person und w&auml;hrend der gesamten Dauer des jeweiligen Aufenthaltes auf unserer Internetseite, welche konkrete Unterseite unserer Internetseite die betroffene Person besucht. Diese Informationen werden durch die LinkedIn-Komponente gesammelt und durch LinkedIn dem jeweiligen LinkedIn-Account der betroffenen Person zugeordnet. Bet&auml;tigt die betroffene Person einen auf unserer Internetseite integrierten LinkedIn-Button, ordnet LinkedIn diese Information dem pers&ouml;nlichen LinkedIn-Benutzerkonto der betroffenen Person zu und speichert diese personenbezogenen Daten.</p>
<p>LinkedIn erh&auml;lt &uuml;ber die LinkedIn-Komponente immer dann eine Information dar&uuml;ber, dass die betroffene Person unsere Internetseite besucht hat, wenn die betroffene Person zum Zeitpunkt des Aufrufes unserer Internetseite gleichzeitig bei LinkedIn eingeloggt ist; dies findet unabh&auml;ngig davon statt, ob die betroffene Person die LinkedIn-Komponente anklickt oder nicht. Ist eine derartige &uuml;bermittlung dieser Informationen an LinkedIn von der betroffenen Person nicht gewollt, kann diese die &uuml;bermittlung dadurch verhindern, dass sie sich vor einem Aufruf unserer Internetseite aus ihrem LinkedIn-Account ausloggt.</p>
<p>LinkedIn bietet unter https://www.linkedin.com/psettings/guest-controls die M&ouml;glichkeit, E-Mail-Nachrichten, SMS-Nachrichten und zielgerichtete Anzeigen abzubestellen sowie Anzeigen-Einstellungen zu verwalten. LinkedIn nutzt ferner Partner wie Quantcast, Google Analytics, BlueKai, DoubleClick, Nielsen, Comscore, Eloqua und Lotame, die Cookies setzen k&ouml;nnen. Solche Cookies k&ouml;nnen unter https://www.linkedin.com/legal/cookie-policy abgelehnt werden. Die geltenden Datenschutzbestimmungen von LinkedIn sind unter https://www.linkedin.com/legal/privacy-policy abrufbar. Die Cookie-Richtlinie von LinkedIn ist unter https://www.linkedin.com/legal/cookie-policy abrufbar.</p>';

$LANG['gdpr_paypal'] = '<h4>%d. Zahlungsart: Datenschutzbestimmungen zu PayPal als Zahlungsart</h4>
<p>Der f&uuml;r die Verarbeitung Verantwortliche hat auf dieser Internetseite Komponenten von PayPal integriert. PayPal ist ein Online-Zahlungsdienstleister. Zahlungen werden &uuml;ber sogenannte PayPal-Konten abgewickelt, die virtuelle Privat- oder Gesch&auml;ftskonten darstellen. Zudem besteht bei PayPal die M&ouml;glichkeit, virtuelle Zahlungen &uuml;ber Kreditkarten abzuwickeln, wenn ein Nutzer kein PayPal-Konto unterh&auml;lt. Ein PayPal-Konto wird &uuml;ber eine E-Mail-Adresse gef&uuml;hrt, weshalb es keine klassische Kontonummer gibt. PayPal erm&ouml;glicht es, Online-Zahlungen an Dritte auszul&ouml;sen oder auch Zahlungen zu empfangen. PayPal &uuml;bernimmt ferner Treuh&auml;nderfunktionen und bietet K&auml;uferschutzdienste an.</p>
<p>Die Europ&auml;ische Betreibergesellschaft von PayPal ist die PayPal (Europe) S.à.r.l. & Cie. S.C.A., 22-24 Boulevard Royal, 2449 Luxembourg, Luxemburg.</p>
<p>W&auml;hlt die betroffene Person w&auml;hrend des Bestellvorgangs in unserem Online-Shop als Zahlungsm&ouml;glichkeit „PayPal“ aus, werden automatisiert Daten der betroffenen Person an PayPal &uuml;bermittelt. Mit der Auswahl dieser Zahlungsoption willigt die betroffene Person in die zur Zahlungsabwicklung erforderliche &uuml;bermittlung personenbezogener Daten ein.</p>
<p>Bei den an PayPal &uuml;bermittelten personenbezogenen Daten handelt es sich in der Regel um Vorname, Nachname, Adresse, Email-Adresse, IP-Adresse, Telefonnummer, Mobiltelefonnummer oder andere Daten, die zur Zahlungsabwicklung notwendig sind. Zur Abwicklung des Kaufvertrages notwendig sind auch solche personenbezogenen Daten, die im Zusammenhang mit der jeweiligen Bestellung stehen.</p>
<p>Die &uuml;bermittlung der Daten bezweckt die Zahlungsabwicklung und die Betrugspr&auml;vention. Der f&uuml;r die Verarbeitung Verantwortliche wird PayPal personenbezogene Daten insbesondere dann &uuml;bermitteln, wenn ein berechtigtes Interesse f&uuml;r die &uuml;bermittlung gegeben ist. Die zwischen PayPal und dem f&uuml;r die Verarbeitung Verantwortlichen ausgetauschten personenbezogenen Daten werden von PayPal unter Umst&auml;nden an Wirtschaftsauskunfteien &uuml;bermittelt. Diese &uuml;bermittlung bezweckt die Identit&auml;ts- und Bonit&auml;tspr&uuml;fung.</p>
<p>PayPal gibt die personenbezogenen Daten gegebenenfalls an verbundene Unternehmen und Leistungserbringer oder Subunternehmer weiter, soweit dies zur Erf&uuml;llung der vertraglichen Verpflichtungen erforderlich ist oder die Daten im Auftrag verarbeitet werden sollen.</p>
<p>Die betroffene Person hat die M&ouml;glichkeit, die Einwilligung zum Umgang mit personenbezogenen Daten jederzeit gegen&uuml;ber PayPal zu widerrufen. Ein Widerruf wirkt sich nicht auf personenbezogene Daten aus, die zwingend zur (vertragsgem&auml;&szlig;en) Zahlungsabwicklung verarbeitet, genutzt oder &uuml;bermittelt werden m&uuml;ssen. </p>
<p>Die geltenden Datenschutzbestimmungen von PayPal k&ouml;nnen unter https://www.paypal.com/de/webapps/mpp/ua/privacy-full abgerufen werden.</p>';

$LANG['gdpr_pinterest'] = '<h4>%d. Datenschutzbestimmungen zu Einsatz und Verwendung von Pinterest</h4>
<p>Der f&uuml;r die Verarbeitung Verantwortliche hat auf dieser Internetseite Komponenten der Pinterest Inc. integriert. Pinterest ist ein sogenanntes soziales Netzwerk. Ein soziales Netzwerk ist ein im Internet betriebener sozialer Treffpunkt, eine Online-Gemeinschaft, die es den Nutzern in der Regel erm&ouml;glicht, untereinander zu kommunizieren und im virtuellen Raum zu interagieren. Ein soziales Netzwerk kann als Plattform zum Austausch von Meinungen und Erfahrungen dienen oder erm&ouml;glicht es der Internetgemeinschaft, pers&ouml;nliche oder unternehmensbezogene Informationen bereitzustellen. Pinterest erm&ouml;glicht den Nutzern des sozialen Netzwerkes unter anderem, Bilderkollektionen und Einzelbilder sowie Beschreibungen an virtuellen Pinnw&auml;nden zu ver&ouml;ffentlichen (sogenanntes pinnen), welche dann wiederum von anderen Nutzern geteilt (sogenanntes repinnen) oder kommentiert werden k&ouml;nnen.</p>
<p>Betreibergesellschaft von Pinterest ist die Pinterest Inc., 808 Brannan Street, San Francisco, CA 94103, USA.</p>
<p>Durch jeden Aufruf einer der Einzelseiten dieser Internetseite, die durch den f&uuml;r die Verarbeitung Verantwortlichen betrieben wird und auf welcher eine Pinterest-Komponente (Pinterest-Plug-In) integriert wurde, wird der Internetbrowser auf dem informationstechnologischen System der betroffenen Person automatisch durch die jeweilige Pinterest-Komponente veranlasst, eine Darstellung der entsprechenden Pinterest-Komponente von Pinterest herunterzuladen. Mehr Informationen zu Pinterest sind unter https://pinterest.com/ abrufbar. Im Rahmen dieses technischen Verfahrens erh&auml;lt Pinterest Kenntnis dar&uuml;ber, welche konkrete Unterseite unserer Internetseite durch die betroffene Person besucht wird.</p>
<p>Sofern die betroffene Person gleichzeitig bei Pinterest eingeloggt ist, erkennt Pinterest mit jedem Aufruf unserer Internetseite durch die betroffene Person und w&auml;hrend der gesamten Dauer des jeweiligen Aufenthaltes auf unserer Internetseite, welche konkrete Unterseite unserer Internetseite die betroffene Person besucht. Diese Informationen werden durch die Pinterest-Komponente gesammelt und durch Pinterest dem jeweiligen Pinterest-Account der betroffenen Person zugeordnet. Bet&auml;tigt die betroffene Person einen auf unserer Internetseite integrierten Pinterest-Button, ordnet Pinterest diese Information dem pers&ouml;nlichen Pinterest-Benutzerkonto der betroffenen Person zu und speichert diese personenbezogenen Daten.</p>
<p>Pinterest erh&auml;lt &uuml;ber die Pinterest-Komponente immer dann eine Information dar&uuml;ber, dass die betroffene Person unsere Internetseite besucht hat, wenn die betroffene Person zum Zeitpunkt des Aufrufs unserer Internetseite gleichzeitig bei Pinterest eingeloggt ist; dies findet unabh&auml;ngig davon statt, ob die betroffene Person die Pinterest-Komponente anklickt oder nicht. Ist eine derartige &uuml;bermittlung dieser Informationen an Pinterest von der betroffenen Person nicht gewollt, kann diese die &uuml;bermittlung dadurch verhindern, dass sie sich vor einem Aufruf unserer Internetseite aus ihrem Pinterest-Account ausloggt.</p>
<p>Die von Pinterest ver&ouml;ffentlichte Datenschutzrichtlinie, die unter https://about.pinterest.com/privacy-policy abrufbar ist, gibt Aufschluss &uuml;ber die Erhebung, Verarbeitung und Nutzung personenbezogener Daten durch Pinterest.</p>';

$LANG['gdpr_slideshare'] = '<h4>%d. Datenschutzbestimmungen zu Einsatz und Verwendung von SlideShare</h4>
<p>Der f&uuml;r die Verarbeitung Verantwortliche hat auf dieser Internetseite SlideShare-Komponenten integriert. LinkedIn SlideShare erm&ouml;glicht als Filehosting-Dienst das austauschen und archivieren von Pr&auml;sentationen und anderen Dokumenten wie PDF-Dateien, Videos und Webinaren. Der Filehosting-Dienst gestattet den Benutzern den Upload von Medieninhalten in allen g&auml;ngigen Formaten, wobei die Dokumente entweder &ouml;ffentlich zug&auml;nglich gemacht oder durch eine Privatmarkierung versehen werden k&ouml;nnen.</p>
<p>Betreibergesellschaft von SlideShare ist die LinkedIn Corporation, 2029 Stierlin Court Mountain View, CA 94043, USA. F&uuml;r Datenschutzangelegenheiten au&szlig;erhalb der USA ist die LinkedIn Ireland, Privacy Policy Issues, Wilton Plaza, Wilton Place, Dublin 2, Irland, zust&auml;ndig.</p>
<p>LinkedIn SlideShare stellt sogenannte Embed-Codes f&uuml;r die dort abgelegten Medieninhalte (Pr&auml;sentationen, PDF-Dateien, Videos, Fotos, etc.) zur Verf&uuml;gung. Embed-Codes sind Programmcodes, die mit dem Ziel in Internetseiten eingebettet werden, externe Inhalte auf der eigenen Internetseite anzuzeigen. Embed-Codes erm&ouml;glichen es, Inhalte auf einer eigenen Internetseite wiederzugeben, ohne solche auf dem eigenen Server abzulegen und hierbei m&ouml;glicherweise das Vervielf&auml;ltigungsrecht des jeweiligen Urhebers des Inhalts zu verletzen. Weiterer Vorteil der Verwendung eines Embed-Codes ist, dass der jeweilige Betreiber einer Internetseite keinen eigenen Speicherplatz nutzt und der eigene Server hierdurch entlastet wird. Ein Embed-Code kann an jeder Stelle einer anderen Internetseite eingebunden werden, sodass ein externer Inhalt auch innerhalb des eigenen Textes eingef&uuml;gt werden kann. Zweck der Nutzung von LinkedIn SlideShare ist die Entlastung unseres Servers sowie eine Vermeidung von Urheberrechtsverst&ouml;&szlig;en bei gleichzeitiger Nutzung fremder Inhalte.</p>
<p>Bei jedem Abruf unserer Internetseite, die mit einer SlideShare-Komponente (Embed-Codes) ausgestattet ist, veranlasst diese Komponente, dass der von ihnen verwendete Browser entsprechend eingebettete Daten von SlideShare herunterl&auml;dt. Im Rahmen dieses technischen Verfahrens erh&auml;lt LinkedIn Kenntnis dar&uuml;ber, welche konkrete Unterseite unserer Internetseite durch die betroffene Person besucht wird.</p>
<p>Sofern die betroffene Person gleichzeitig bei SlideShare eingeloggt ist, erkennt SlideShare mit jedem Aufruf unserer Internetseite durch die betroffene Person und w&auml;hrend der gesamten Dauer des jeweiligen Aufenthaltes auf unserer Internetseite, welche konkrete Unterseite die betroffene Person besucht. Diese Informationen werden durch SlideShare gesammelt und durch LinkedIn dem jeweiligen SlideShare-Account der betroffenen Person zugeordnet.</p>
<p>LinkedIn erh&auml;lt &uuml;ber die SlideShare-Komponente immer dann eine Information dar&uuml;ber, dass die betroffene Person unsere Internetseite besucht hat, wenn die betroffene Person zum Zeitpunkt des Aufrufs unserer Internetseite gleichzeitig bei SlideShare eingeloggt ist; dies findet unabh&auml;ngig davon statt, ob die betroffene Person die eingebundenen Mediendaten anklickt oder nicht. Ist eine derartige &uuml;bermittlung dieser Informationen an LinkedIn von der betroffenen Person nicht gewollt, kann diese die &uuml;bermittlung dadurch verhindern, dass sie sich vor einem Aufruf unserer Internetseite aus ihrem SlideShare-Account ausloggt.</p>
<p>LinkedIn nutzt ferner Partner wie Quantcast, Google Analytics, BlueKai, DoubleClick, Nielsen, Comscore, Eloqua und Lotame, die Cookies setzen k&ouml;nnen. Solche Cookies k&ouml;nnen unter https://www.linkedin.com/legal/cookie-policy abgelehnt werden. Die geltenden Datenschutzbestimmungen von LinkedIn sind unter https://www.linkedin.com/legal/privacy-policy abrufbar.</p>';

$LANG['gdpr_tumblr'] = '<h4>%d. Datenschutzbestimmungen zu Einsatz und Verwendung von Tumblr</h4>
<p>Der f&uuml;r die Verarbeitung Verantwortliche hat auf dieser Internetseite Komponenten von Tumblr integriert. Tumblr ist eine Plattform, die es den Nutzern erm&ouml;glicht, einen Blog zu erstellen und zu betreiben. Ein Blog ist ein auf einer Internetseite gef&uuml;hrtes, in der Regel &ouml;ffentlich einsehbares Portal, in welchem eine oder mehrere Personen, die Blogger oder Weblogger genannt werden, Artikel posten oder Gedanken in sogenannten Blogposts niederschreiben k&ouml;nnen. In einem Blog auf Tumblr kann der Nutzer beispielsweise Texte, Bilder, Links und Videos ver&ouml;ffentlichen und diese im digitalen Raum verbreiten. Ferner k&ouml;nnen Tumblr-Nutzer Inhalte von fremden Internetseiten in den eigenen Blog &uuml;bernehmen.</p>
<p>Betreibergesellschaft von Tumblr ist die Tumblr, Inc., 35 East 21st St, Ground Floor, New York, NY 10010, USA.</p>
<p>Durch jeden Aufruf einer der Einzelseiten dieser Internetseite, die durch den f&uuml;r die Verarbeitung Verantwortlichen betrieben wird und auf welcher eine Tumblr-Komponente (Tumblr-Button) integriert wurde, wird der Internetbrowser auf dem informationstechnologischen System der betroffenen Person automatisch durch die jeweilige Tumblr-Komponente veranlasst, eine Darstellung der entsprechenden Tumblr-Komponente von Tumblr herunterzuladen. Weitere Informationen zu den Tumblr-Buttons sind unter https://www.tumblr.com/buttons abrufbar. Im Rahmen dieses technischen Verfahrens erh&auml;lt Tumblr Kenntnis dar&uuml;ber, welche konkrete Unterseite unserer Internetseite durch die betroffene Person besucht wird. Zweck der Integration der Tumblr-Komponente ist es, unseren Nutzern eine Weiterverbreitung der Inhalte dieser Internetseite zu erm&ouml;glichen, diese Internetseite in der digitalen Welt bekannt zu machen und unsere Besucherzahlen zu erh&ouml;hen.</p>
<p>Sofern die betroffene Person gleichzeitig bei Tumblr eingeloggt ist, erkennt Tumblr mit jedem Aufruf unserer Internetseite durch die betroffene Person und w&auml;hrend der gesamten Dauer des jeweiligen Aufenthaltes auf unserer Internetseite, welche konkrete Unterseite unserer Internetseite die betroffene Person besucht. Diese Informationen werden durch die Tumblr-Komponente gesammelt und durch Tumblr dem jeweiligen Tumblr-Account der betroffenen Person zugeordnet. Bet&auml;tigt die betroffene Person einen der auf unserer Internetseite integrierten Tumblr-Buttons, werden die damit &uuml;bertragenen Daten und Informationen dem pers&ouml;nlichen Tumblr-Benutzerkonto der betroffenen Person zugeordnet und von Tumblr gespeichert und verarbeitet.</p>
<p>Tumblr erh&auml;lt &uuml;ber die Tumblr-Komponente immer dann eine Information dar&uuml;ber, dass die betroffene Person unsere Internetseite besucht hat, wenn die betroffene Person zum Zeitpunkt des Aufrufs unserer Internetseite gleichzeitig bei Tumblr eingeloggt ist; dies findet unabh&auml;ngig davon statt, ob die betroffene Person die Tumblr-Komponente anklickt oder nicht. Ist eine derartige &uuml;bermittlung dieser Informationen an Tumblr von der betroffenen Person nicht gewollt, kann diese die &uuml;bermittlung dadurch verhindern, dass sie sich vor einem Aufruf unserer Internetseite aus ihrem Tumblr-Account ausloggt.</p>
<p>Die geltenden Datenschutzbestimmungen von Tumblr sind unter https://www.tumblr.com/policy/en/privacy abrufbar.</p>';

$LANG['gdpr_twitter'] = '<h4>%d. Datenschutzbestimmungen zu Einsatz und Verwendung von Twitter</h4>
<p>Der f&uuml;r die Verarbeitung Verantwortliche hat auf dieser Internetseite Komponenten von Twitter integriert. Twitter ist ein multilingualer &ouml;ffentlich zug&auml;nglicher Mikroblogging-Dienst, auf welchem die Nutzer sogenannte Tweets, also Kurznachrichten, die auf 280 Zeichen begrenzt sind, ver&ouml;ffentlichen und verbreiten k&ouml;nnen. Diese Kurznachrichten sind f&uuml;r jedermann, also auch f&uuml;r nicht bei Twitter angemeldete Personen abrufbar. Die Tweets werden aber auch den sogenannten Followern des jeweiligen Nutzers angezeigt. Follower sind andere Twitter-Nutzer, die den Tweets eines Nutzers folgen. Ferner erm&ouml;glicht Twitter &uuml;ber Hashtags, Verlinkungen oder Retweets die Ansprache eines breiten Publikums.</p>
<p>Betreibergesellschaft von Twitter ist die Twitter, Inc., 1355 Market Street, Suite 900, San Francisco, CA 94103, USA.</p>
<p>Durch jeden Aufruf einer der Einzelseiten dieser Internetseite, die durch den f&uuml;r die Verarbeitung Verantwortlichen betrieben wird und auf welcher eine Twitter-Komponente (Twitter-Button) integriert wurde, wird der Internetbrowser auf dem informationstechnologischen System der betroffenen Person automatisch durch die jeweilige Twitter-Komponente veranlasst, eine Darstellung der entsprechenden Twitter-Komponente von Twitter herunterzuladen. Weitere Informationen zu den Twitter-Buttons sind unter https://about.twitter.com/de/resources/buttons abrufbar. Im Rahmen dieses technischen Verfahrens erh&auml;lt Twitter Kenntnis dar&uuml;ber, welche konkrete Unterseite unserer Internetseite durch die betroffene Person besucht wird. Zweck der Integration der Twitter-Komponente ist es, unseren Nutzern eine Weiterverbreitung der Inhalte diese Internetseite zu erm&ouml;glichen, diese Internetseite in der digitalen Welt bekannt zu machen und unsere Besucherzahlen zu erh&ouml;hen.</p>
<p>Sofern die betroffene Person gleichzeitig bei Twitter eingeloggt ist, erkennt Twitter mit jedem Aufruf unserer Internetseite durch die betroffene Person und w&auml;hrend der gesamten Dauer des jeweiligen Aufenthaltes auf unserer Internetseite, welche konkrete Unterseite unserer Internetseite die betroffene Person besucht. Diese Informationen werden durch die Twitter-Komponente gesammelt und durch Twitter dem jeweiligen Twitter-Account der betroffenen Person zugeordnet. Bet&auml;tigt die betroffene Person einen der auf unserer Internetseite integrierten Twitter-Buttons, werden die damit &uuml;bertragenen Daten und Informationen dem pers&ouml;nlichen Twitter-Benutzerkonto der betroffenen Person zugeordnet und von Twitter gespeichert und verarbeitet.</p>
<p>Twitter erh&auml;lt &uuml;ber die Twitter-Komponente immer dann eine Information dar&uuml;ber, dass die betroffene Person unsere Internetseite besucht hat, wenn die betroffene Person zum Zeitpunkt des Aufrufs unserer Internetseite gleichzeitig bei Twitter eingeloggt ist; dies findet unabh&auml;ngig davon statt, ob die betroffene Person die Twitter-Komponente anklickt oder nicht. Ist eine derartige &uuml;bermittlung dieser Informationen an Twitter von der betroffenen Person nicht gewollt, kann diese die &uuml;bermittlung dadurch verhindern, dass sie sich vor einem Aufruf unserer Internetseite aus ihrem Twitter-Account ausloggt.</p>
<p>Die geltenden Datenschutzbestimmungen von Twitter sind unter https://twitter.com/privacy?lang=de abrufbar.</p>';

$LANG['gdpr_xing'] = '<h4>%d. Datenschutzbestimmungen zu Einsatz und Verwendung von Xing</h4>
<p>Der f&uuml;r die Verarbeitung Verantwortliche hat auf dieser Internetseite Komponenten von Xing integriert. Xing ist ein Internetbasiertes soziales Netzwerk, das die Konnektierung der Nutzer mit bestehenden Gesch&auml;ftskontakten sowie das Kn&uuml;pfen von neuen Businesskontakten erm&ouml;glicht. Die einzelnen Nutzer k&ouml;nnen bei Xing ein pers&ouml;nliches Profil von sich anlegen. Unternehmen k&ouml;nnen beispielsweise Unternehmensprofile erstellen oder Stellenangebote auf Xing ver&ouml;ffentlichen.</p>
<p>Betreibergesellschaft von Xing ist die XING SE, Dammtorstra&szlig;e 30, 20354 Hamburg, Deutschland.</p>
<p>Durch jeden Aufruf einer der Einzelseiten dieser Internetseite, die durch den f&uuml;r die Verarbeitung Verantwortlichen betrieben wird und auf welcher eine Xing-Komponente (Xing-Plug-In) integriert wurde, wird der Internetbrowser auf dem informationstechnologischen System der betroffenen Person automatisch durch die jeweilige Xing-Komponente veranlasst, eine Darstellung der entsprechenden Xing-Komponente von Xing herunterzuladen. Weitere Informationen zum den Xing-Plug-Ins k&ouml;nnen unter https://dev.xing.com/plugins abgerufen werden. Im Rahmen dieses technischen Verfahrens erh&auml;lt Xing Kenntnis dar&uuml;ber, welche konkrete Unterseite unserer Internetseite durch die betroffene Person besucht wird.</p>
<p>Sofern die betroffene Person gleichzeitig bei Xing eingeloggt ist, erkennt Xing mit jedem Aufruf unserer Internetseite durch die betroffene Person und w&auml;hrend der gesamten Dauer des jeweiligen Aufenthaltes auf unserer Internetseite, welche konkrete Unterseite unserer Internetseite die betroffene Person besucht. Diese Informationen werden durch die Xing-Komponente gesammelt und durch Xing dem jeweiligen Xing-Account der betroffenen Person zugeordnet. Bet&auml;tigt die betroffene Person einen der auf unserer Internetseite integrierten Xing-Buttons, beispielsweise den „Share“-Button, ordnet Xing diese Information dem pers&ouml;nlichen Xing-Benutzerkonto der betroffenen Person zu und speichert diese personenbezogenen Daten.</p>
<p>Xing erh&auml;lt &uuml;ber die Xing-Komponente immer dann eine Information dar&uuml;ber, dass die betroffene Person unsere Internetseite besucht hat, wenn die betroffene Person zum Zeitpunkt des Aufrufs unserer Internetseite gleichzeitig bei Xing eingeloggt ist; dies findet unabh&auml;ngig davon statt, ob die betroffene Person die Xing-Komponente anklickt oder nicht. Ist eine derartige &uuml;bermittlung dieser Informationen an Xing von der betroffenen Person nicht gewollt, kann diese die &uuml;bermittlung dadurch verhindern, dass sie sich vor einem Aufruf unserer Internetseite aus ihrem Xing-Account ausloggt.</p>
<p>Die von Xing ver&ouml;ffentlichten Datenschutzbestimmungen, die unter https://www.xing.com/privacy abrufbar sind, geben Aufschluss &uuml;ber die Erhebung, Verarbeitung und Nutzung personenbezogener Daten durch Xing. Ferner hat Xing unter https://www.xing.com/app/share?op=data_protection Datenschutzhinweise f&uuml;r den XING-Share-Button ver&ouml;ffentlicht.</p>';

$LANG['gdpr_youtube'] = '<h4>%d. Datenschutzbestimmungen zu Einsatz und Verwendung von YouTube</h4>
<p>Der f&uuml;r die Verarbeitung Verantwortliche hat auf dieser Internetseite Komponenten von YouTube integriert. YouTube ist ein Internet-Videoportal, dass Video-Publishern das kostenlose Einstellen von Videoclips und anderen Nutzern die ebenfalls kostenfreie Betrachtung, Bewertung und Kommentierung dieser erm&ouml;glicht. YouTube gestattet die Publikation aller Arten von Videos, weshalb sowohl komplette Film- und Fernsehsendungen, aber auch Musikvideos, Trailer oder von Nutzern selbst angefertigte Videos &uuml;ber das Internetportal abrufbar sind.</p>
<p>Betreibergesellschaft von YouTube ist die YouTube, LLC, 901 Cherry Ave., San Bruno, CA 94066, USA. Die YouTube, LLC ist einer Tochtergesellschaft der Google Inc., 1600 Amphitheatre Pkwy, Mountain View, CA 94043-1351, USA.</p>
<p>Durch jeden Aufruf einer der Einzelseiten dieser Internetseite, die durch den f&uuml;r die Verarbeitung Verantwortlichen betrieben wird und auf welcher eine YouTube-Komponente (YouTube-Video) integriert wurde, wird der Internetbrowser auf dem informationstechnologischen System der betroffenen Person automatisch durch die jeweilige YouTube-Komponente veranlasst, eine Darstellung der entsprechenden YouTube-Komponente von YouTube herunterzuladen. Weitere Informationen zu YouTube k&ouml;nnen unter https://www.youtube.com/yt/about/de/ abgerufen werden. Im Rahmen dieses technischen Verfahrens erhalten YouTube und Google Kenntnis dar&uuml;ber, welche konkrete Unterseite unserer Internetseite durch die betroffene Person besucht wird.</p>
<p>Sofern die betroffene Person gleichzeitig bei YouTube eingeloggt ist, erkennt YouTube mit dem Aufruf einer Unterseite, die ein YouTube-Video enth&auml;lt, welche konkrete Unterseite unserer Internetseite die betroffene Person besucht. Diese Informationen werden durch YouTube und Google gesammelt und dem jeweiligen YouTube-Account der betroffenen Person zugeordnet.</p>
<p>YouTube und Google erhalten &uuml;ber die YouTube-Komponente immer dann eine Information dar&uuml;ber, dass die betroffene Person unsere Internetseite besucht hat, wenn die betroffene Person zum Zeitpunkt des Aufrufs unserer Internetseite gleichzeitig bei YouTube eingeloggt ist; dies findet unabh&auml;ngig davon statt, ob die betroffene Person ein YouTube-Video anklickt oder nicht. Ist eine derartige &uuml;bermittlung dieser Informationen an YouTube und Google von der betroffenen Person nicht gewollt, kann diese die &uuml;bermittlung dadurch verhindern, dass sie sich vor einem Aufruf unserer Internetseite aus ihrem YouTube-Account ausloggt.</p>
<p>Die von YouTube ver&ouml;ffentlichten Datenschutzbestimmungen, die unter https://www.google.de/intl/de/policies/privacy/ abrufbar sind, geben Aufschluss &uuml;ber die Erhebung, Verarbeitung und Nutzung personenbezogener Daten durch YouTube und Google.</p>';

$LANG['gdpr_end'] = '<h4>%d. Rechtsgrundlage der Verarbeitung</h4>
<p>Art. 6 I lit. a DS-GVO dient unserem Unternehmen als Rechtsgrundlage f&uuml;r Verarbeitungsvorg&auml;nge, bei denen wir eine Einwilligung f&uuml;r einen bestimmten Verarbeitungszweck einholen. Ist die Verarbeitung personenbezogener Daten zur Erf&uuml;llung eines Vertrags, dessen Vertragspartei die betroffene Person ist, erforderlich, wie dies beispielsweise bei Verarbeitungsvorg&auml;ngen der Fall ist, die f&uuml;r eine Lieferung von Waren oder die Erbringung einer sonstigen Leistung oder Gegenleistung notwendig sind, so beruht die Verarbeitung auf Art. 6 I lit. b DS-GVO. Gleiches gilt f&uuml;r solche Verarbeitungsvorg&auml;nge die zur Durchf&uuml;hrung vorvertraglicher Ma&szlig;nahmen erforderlich sind, etwa in F&auml;llen von Anfragen zur unseren Produkten oder Leistungen. Unterliegt unser Unternehmen einer rechtlichen Verpflichtung durch welche eine Verarbeitung von personenbezogenen Daten erforderlich wird, wie beispielsweise zur Erf&uuml;llung steuerlicher Pflichten, so basiert die Verarbeitung auf Art. 6 I lit. c DS-GVO. In seltenen F&auml;llen k&ouml;nnte die Verarbeitung von personenbezogenen Daten erforderlich werden, um lebenswichtige Interessen der betroffenen Person oder einer anderen nat&uuml;rlichen Person zu sch&uuml;tzen. Dies w&auml;re beispielsweise der Fall, wenn ein Besucher in unserem Betrieb verletzt werden w&uuml;rde und daraufhin sein Name, sein Alter, seine Krankenkassendaten oder sonstige lebenswichtige Informationen an einen Arzt, ein Krankenhaus oder sonstige Dritte weitergegeben werden m&uuml;ssten. Dann w&uuml;rde die Verarbeitung auf Art. 6 I lit. d DS-GVO beruhen.
Letztlich k&ouml;nnten Verarbeitungsvorg&auml;nge auf Art. 6 I lit. f DS-GVO beruhen. Auf dieser Rechtsgrundlage basieren Verarbeitungsvorg&auml;nge, die von keiner der vorgenannten Rechtsgrundlagen erfasst werden, wenn die Verarbeitung zur Wahrung eines berechtigten Interesses unseres Unternehmens oder eines Dritten erforderlich ist, sofern die Interessen, Grundrechte und Grundfreiheiten des Betroffenen nicht &uuml;berwiegen. Solche Verarbeitungsvorg&auml;nge sind uns insbesondere deshalb gestattet, weil sie durch den Europ&auml;ischen Gesetzgeber besonders erw&auml;hnt wurden. Er vertrat insoweit die Auffassung, dass ein berechtigtes Interesse anzunehmen sein k&ouml;nnte, wenn die betroffene Person ein Kunde des Verantwortlichen ist (Erw&auml;gungsgrund 47 Satz 2 DS-GVO).</p>

<h4>%d. Berechtigte Interessen an der Verarbeitung, die von dem Verantwortlichen oder einem Dritten verfolgt werden</h4>
<p>Basiert die Verarbeitung personenbezogener Daten auf Artikel 6 I lit. f DS-GVO ist unser berechtigtes Interesse die Durchf&uuml;hrung unserer Gesch&auml;ftst&auml;tigkeit zugunsten des Wohlergehens all unserer Mitarbeiter und unserer Anteilseigner.</p>

<h4>%d. Dauer, f&uuml;r die die personenbezogenen Daten gespeichert werden</h4>
<p>Das Kriterium f&uuml;r die Dauer der Speicherung von personenbezogenen Daten ist die jeweilige gesetzliche Aufbewahrungsfrist. Nach Ablauf der Frist werden die entsprechenden Daten routinem&auml;&szlig;ig gel&ouml;scht, sofern sie nicht mehr zur Vertragserf&uuml;llung oder Vertragsanbahnung erforderlich sind.</p>

<h4>%d. Gesetzliche oder vertragliche Vorschriften zur Bereitstellung der personenbezogenen Daten; Erforderlichkeit f&uuml;r den Vertragsabschluss; Verpflichtung der betroffenen Person, die personenbezogenen Daten bereitzustellen; m&ouml;gliche Folgen der Nichtbereitstellung</h4>
<p>Wir kl&auml;ren Sie dar&uuml;ber auf, dass die Bereitstellung personenbezogener Daten zum Teil gesetzlich vorgeschrieben ist (z.B. Steuervorschriften) oder sich auch aus vertraglichen Regelungen (z.B. Angaben zum Vertragspartner) ergeben kann.
Mitunter kann es zu einem Vertragsschluss erforderlich sein, dass eine betroffene Person uns personenbezogene Daten zur Verf&uuml;gung stellt, die in der Folge durch uns verarbeitet werden m&uuml;ssen. Die betroffene Person ist beispielsweise verpflichtet uns personenbezogene Daten bereitzustellen, wenn unser Unternehmen mit ihr einen Vertrag abschlie&szlig;t. Eine Nichtbereitstellung der personenbezogenen Daten h&auml;tte zur Folge, dass der Vertrag mit dem Betroffenen nicht geschlossen werden k&ouml;nnte.
Vor einer Bereitstellung personenbezogener Daten durch den Betroffenen muss sich der Betroffene an einen unserer Mitarbeiter wenden. Unser Mitarbeiter kl&auml;rt den Betroffenen einzelfallbezogen dar&uuml;ber auf, ob die Bereitstellung der personenbezogenen Daten gesetzlich oder vertraglich vorgeschrieben oder f&uuml;r den Vertragsabschluss erforderlich ist, ob eine Verpflichtung besteht, die personenbezogenen Daten bereitzustellen, und welche Folgen die Nichtbereitstellung der personenbezogenen Daten h&auml;tte.</p>

<h4>%d. Bestehen einer automatisierten Entscheidungsfindung</h4>
<p>Als verantwortungsbewusstes Unternehmen verzichten wir auf eine automatische Entscheidungsfindung oder ein Profiling.</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<i class="small">Diese Datenschutzerkl&auml;rung wurde durch den Datenschutzerkl&auml;rungs-Generator der DGD Deutsche Gesellschaft f&uuml;r Datenschutz GmbH, die als <a href="https://dg-datenschutz.de/datenschutz-dienstleistungen/externer-datenschutzbeauftragter/" rel="nofollow">Externer Datenschutzbeauftragter Landshut</a> t&auml;tig ist, in Kooperation mit dem <a href="https://www.wbs-law.de/it-recht/datenschutzrecht" rel="nofollow">Anwalt f&uuml;r IT- und Datenschutzrecht</a> Christian Solmecke erstellt.</i>
';
